package com.yongqi.xinrenli.service;

import com.yongqi.xinrenli.domain.DbOrder;
import com.yongqi.xinrenli.domain.vo.DbOrderVo;
import com.yongqi.xinrenli.domain.bo.DbOrderBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 订单Service接口
 *
 * @author zyf
 * @date 2023-03-09
 */
public interface IDbOrderService {

    /**
     * 查询订单
     */
    DbOrderVo queryById(Long id);

    /**
     * 查询订单列表
     */
    TableDataInfo<DbOrderVo> queryPageList(DbOrderBo bo, PageQuery pageQuery);

    /**
     * 查询订单列表
     */
    List<DbOrderVo> queryList(DbOrderBo bo);

    /**
     * 新增订单
     */
    Boolean insertByBo(DbOrderBo bo);

    /**
     * 修改订单
     */
    Boolean updateByBo(DbOrderBo bo);

    /**
     * 校验并批量删除订单信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
